<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Brilliant
 * @since Brilliant 1.0
 */

get_header(); ?>
	
	<?php
	/* Archive Options */
	$archive_layout = get_theme_mod('archive_layout', 'archive-layout2');
	$post_template = brilliant_archive_template();
	$post_column = brilliant_archive_column();
	?>
	
	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
		<?php
		if ( have_posts() ) : ?>

			<header class="page-header">
				<div class="page-header-wrapper">
					<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'brilliant' ), '<strong>' . get_search_query() . '</strong>' ); ?></h1>
				</div>
			</header><!-- .page-header -->
			
			<section class="row posts-loop <?php if ( $archive_layout == 'archive-layout2' ) { echo esc_attr('flex-row'); } ?>">
				<?php
				/* Start the Loop */
				while ( have_posts() ) : the_post();
	
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */ ?>
					<div class="post-wrapper <?php echo $post_column; ?>">
						<?php get_template_part( 'template-parts/' . $post_template ); ?>
					</div>
				<?php endwhile; ?>
			</section>
			
			<?php the_posts_navigation();
				
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>
		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
